post
/v9/storage/filesystems/{filesystemId}/clone-jobs
Submit a tree clone job of a file system directory.
Note: Accepted parameter values may be restricted based on the virtual server access granted by the API key used for authentication.
Path parameters
filesystemId
String
required
Either the file system ID or the object ID of the file system
Either the file system ID or the object ID of the file system
Example:
7B263DFD1D71E65A0000000000000000
CLIENT REQUEST
curl -X 'POST'
-H "X-Subsystem-User: [[apiKey]]"
\
-H "X-Subsystem-Password: [[apiKey]]"
\
-H "X-Api-Key: [[apiKey]]"
\
-H "Authorization: Basic [[basicHash]]"
\
-H
'Accept: application/json'
-H
'Content-Type: application/json'
'https://172.27.146.40:8444/v9/storage/filesystems/{filesystemId}/clone-jobs'
-d
''
import http.client
conn = http.client.HTTPSConnection("172.27.146.40:8444")
payload = "{\"dstDirectory\":\"/dir-dest\",\"ensureCreate\":true,\"srcDirectory\":\"/dir-source\"}"
headers = {
'Authorization': "Basic REPLACE_BASIC_AUTH",
'content-type': "application/json"
}
conn.request("POST", "/v9/storage/filesystems/7B263DFD1D71E65A0000000000000000/clone-jobs", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://172.27.146.40:8444/v9/storage/filesystems/7B263DFD1D71E65A0000000000000000/clone-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic REPLACE_BASIC_AUTH'
request["content-type"] = 'application/json'
request.body = "{\"dstDirectory\":\"/dir-dest\",\"ensureCreate\":true,\"srcDirectory\":\"/dir-source\"}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"dstDirectory": "/dir-dest",
"ensureCreate": true,
"srcDirectory": "/dir-source"
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://172.27.146.40:8444/v9/storage/filesystems/7B263DFD1D71E65A0000000000000000/clone-jobs");
xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://172.27.146.40:8444/v9/storage/filesystems/7B263DFD1D71E65A0000000000000000/clone-jobs")
.header("Authorization", "Basic REPLACE_BASIC_AUTH")
.header("content-type", "application/json")
.body("{\"dstDirectory\":\"/dir-dest\",\"ensureCreate\":true,\"srcDirectory\":\"/dir-source\"}")
.asString();import Foundation
let headers = [
"Authorization": "Basic REPLACE_BASIC_AUTH",
"content-type": "application/json"
]
let parameters = [
"dstDirectory": "/dir-dest",
"ensureCreate": true,
"srcDirectory": "/dir-source"
] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/filesystems/7B263DFD1D71E65A0000000000000000/clone-jobs")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8444",
CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/filesystems/7B263DFD1D71E65A0000000000000000/clone-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\"dstDirectory\":\"/dir-dest\",\"ensureCreate\":true,\"srcDirectory\":\"/dir-source\"}",
CURLOPT_HTTPHEADER => [
"Authorization: Basic REPLACE_BASIC_AUTH",
"content-type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/filesystems/7B263DFD1D71E65A0000000000000000/clone-jobs");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"dstDirectory\":\"/dir-dest\",\"ensureCreate\":true,\"srcDirectory\":\"/dir-source\"}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://172.27.146.40:8444/v9/storage/filesystems/7B263DFD1D71E65A0000000000000000/clone-jobs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"dstDirectory\":\"/dir-dest\",\"ensureCreate\":true,\"srcDirectory\":\"/dir-source\"}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
dstDirectorystring
ensureCreateboolean
srcDirectorystring
application/json
dstDirectorystringFull path, in Unix format, of the destination directory of the clone operation
Full path, in Unix format, of the destination directory of the clone operation
Example:
"/dir-dest"ensureCreatebooleanTrue ensures that the path supplied is created if it does not exist
True ensures that the path supplied is created if it does not exist
srcDirectorystringFull path, in Unix format, of the source directory to be cloned
Full path, in Unix format, of the source directory to be cloned
Example:
"/dir-source"REQUEST
{
"dstDirectory": "/dir-dest",
"ensureCreate": false,
"srcDirectory": "/dir-source"
}Responses